﻿@using Microsoft.AspNetCore.Identity
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager



@if (SignInManager.IsSignedIn(User))
{


    if (User.IsInRole("Admin"))
    {
        <li class="Profile-User admin">
            <a href="@Url.Action("Index","Home",new { area="Admin" })">
                <i class="fa fa-key"></i>
                <span>پنل مدیریت</span>
            </a>
        </li>
    }

    <li class="Profile-User">
        <a asp-area="Identity" asp-page="/Account/Manage/Index">
            <i class="fa fa-user-circle"></i>
            <span>پروفایل</span>
            <span id="subscrib-mobile"></span>
        </a>
    </li>

    <li class="Profile-User">
        <a asp-area="Identity" asp-page="/Account/Manage/Contract">
            <i class=" fa fa-files-o"></i>
            <span>قراردادهای من</span>
        </a>
    </li>

    <li class="Profile-User">
        <a asp-area="" asp-controller="Contracts" asp-action="List">
            <i class="fa fa-file-pdf-o" style="vertical-align: text-top;"></i>
            <span>تنظیم قرارداد</span>
        </a>
    </li>

    <li class="Profile-User">
        <a asp-area="" asp-controller="Consultation" asp-action="Index">
            <i class="fa fa-handshake-o"></i>
            <span>دریافت مشاوره</span>
        </a>
    </li>

    <li class="Profile-User">
        <a asp-area="" asp-controller="Questions" asp-action="List">
            <i class="fa fa-commenting-o" style="vertical-align: text-top;"></i>          
            <span>مشاوره حقوقی آنلاین</span>
        </a>
    </li>




    <li class="Profile-User">
        <a asp-area="" asp-controller="Home" asp-action="About">
            <i class=" fa fa-users"></i>
            <span>درباره ما</span>
        </a>
    </li>

    <li class="Profile-User">
        <a asp-area="Blog" asp-controller="Home" asp-action="Index">
            <i class="fa fa-newspaper-o"></i>
            <span>بلاگ</span>
        </a>
    </li>

    <li class="Profile-User">
        <form asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
            <i class="fa fa-sign-out" style="vertical-align:bottom;"></i>
            <button type="submit">خروج از حساب کاربری</button>
        </form>
    </li>

}
else
{

    <li class="nav-item Profile-User">
        <a class="nav-link text-dark text-center">
            <span>پلتفرم هوشمند تولید آنلاین قرارداد</span>
        </a>
    </li>


    <li class="Profile-User">
        <a asp-area="Identity" asp-page="/Account/Login">
            <i class=" fa fa-sign-in" style="vertical-align: middle;"></i>
            <span> ورود به لامینگو</span>
        </a>
    </li>
    <li class="Profile-User">
        <a asp-area="Identity" asp-page="/Account/Register">
            <i class=" fa fa-user-plus" style="vertical-align: unset;"></i>
            <span>ثبت نام در لامینگو</span>
        </a>
    </li>

    <li class="Profile-User">
        <a asp-area="" asp-controller="Contracts" asp-action="List">
            <i class="fa fa-file-pdf-o" style="vertical-align: text-top;"></i>          
            <span>تنظیم قرارداد</span>
        </a>
    </li>

    <li class="Profile-User">
        <a asp-area="" asp-controller="Questions" asp-action="List">
            <i class="fa fa-commenting-o" style="vertical-align: text-top;"></i>
            <span>مشاوره حقوقی آنلاین</span>
        </a>
    </li>


    <li class="Profile-User">
        <a asp-area="" asp-controller="Consultation" asp-action="Index">
            <i class="fa fa-handshake-o" style="vertical-align: text-top;"></i>
            <span>وقت مشاوره</span>
        </a>
    </li>

    @*<li class="Profile-User">
            <a asp-area="" asp-controller="Subscription" asp-action="Index">
                <i class="fa fa-diamond" style="vertical-align: text-top;"></i>
                <span>خرید اشتراک</span>
            </a>
        </li>*@

    <li class="Profile-User">
        <a asp-area="" asp-controller="Home" asp-action="About">
            <i class=" fa fa-users" style="vertical-align: text-top;"></i>
            <span>درباره ما</span>
        </a>
    </li>
    <li class="Profile-User" style="margin-bottom:20px;">
        <a asp-area="Blog" asp-controller="Home" asp-action="Index" style="border-bottom:none !important;">
            <i class="fa fa-newspaper-o" style="vertical-align: text-top;"></i>
            <span>بلاگ</span>
        </a>
    </li>

}
